Clear a custom field value from a card
DELETE
/boards/{board}/cards/{card}/custom-fields/{definition}
const url = 'https://projects.work.optidata.cloud/api/boards/1/cards/1/custom-fields/1';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://projects.work.optidata.cloud/api/boards/1/cards/1/custom-fields/1 \ --header 'Authorization: Bearer <token>'Removes the stored value for this definition from the card.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”board
required
integer
Board id.
card
required
integer
Card id (must belong to the board).
definition
required
integer
Custom field definition id.
Responses
Section titled “Responses”Value cleared. No content.
Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}